View Issue Details

IDProjectCategoryView StatusLast Update
0034287FPCCompilerpublic2019-07-05 16:17
ReportersilvioprogAssigned ToSven Barth 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.1Product Build 
Target VersionFixed in Version3.3.1 
Summary0034287: [GENERICS] Error: method identifier expected
DescriptionHi.

The attached code doesn't compiles on FPC (latest trunk version). It raises the following error at compile time: 'unit1.pas(34,23) Error: method identifier expected'.
Steps To ReproduceJust download and try to compile the example.
Additional InformationSuccessfully tested on Delphi 10.2.3.
Tagsgenerics
Fixed in Revision39787,39788
FPCOldBugId
FPCTarget
Attached Files

Activities

silvioprog

2018-09-16 02:25

reporter  

gen_bug_fpc.tar.gz (1,153 bytes)

silvioprog

2018-09-16 02:25

reporter  

gen_bug_fpc.tar.gz.sig (310 bytes)

Sven Barth

2018-09-21 17:18

manager   ~0110931

Please test and close if okay.

silvioprog

2018-11-05 02:08

reporter   ~0111796

Tested and it is working like a charm now. Thank you very for solving it!

Issue History

Date Modified Username Field Change
2018-09-16 02:25 silvioprog New Issue
2018-09-16 02:25 silvioprog File Added: gen_bug_fpc.tar.gz
2018-09-16 02:25 silvioprog File Added: gen_bug_fpc.tar.gz.sig
2018-09-21 17:18 Sven Barth Tag Attached: generic
2018-09-21 17:18 Sven Barth Fixed in Revision => 39787,39788
2018-09-21 17:18 Sven Barth Note Added: 0110931
2018-09-21 17:18 Sven Barth Status new => resolved
2018-09-21 17:18 Sven Barth Fixed in Version => 3.3.1
2018-09-21 17:18 Sven Barth Resolution open => fixed
2018-09-21 17:18 Sven Barth Assigned To => Sven Barth
2018-11-05 02:08 silvioprog Note Added: 0111796
2018-11-05 02:08 silvioprog Status resolved => closed
2019-07-05 16:17 Sven Barth Tag Attached: generics
2019-07-05 16:17 Sven Barth Tag Detached: generic